#!/bin/sh

# Set up spack configured to install into a ups like directory structure
git clone https://github.com/marcmengel/spack-infrastructure $1/spack-infrastructure
export PATH=$PATH:$1/spack-infrastructure/bin
make_spack --minimal -u $1
source $1/setup-env.sh
echo "packages:" >> $1/spack/current/NULL/etc/spack/packages.yaml
echo "  zlib:" >> $1/spack/current/NULL/etc/spack/packages.yaml
echo "    externals: [{spec: zlib@1.2.7, prefix: /usr}]"  >> $1/spack/current/NULL/etc/spack/packages.yaml
spack external find --scope site bazel perl cmake

# Install the dependencies with spack
spack spec -I libpng@1.6.37%gcc@4.8.5\ arch=x86_64
spack install --no-cache libpng@1.6.37%gcc@4.8.5\ arch=x86_64
spack spec -I libjpeg-turbo@2.1.0%gcc@4.8.5\ arch=x86_64
spack install --no-cache libjpeg-turbo@2.1.0%gcc@4.8.5\ arch=x86_64
spack spec -I  giflib@5.2.1%gcc@4.8.5\ arch=x86_64
spack install --no-cache giflib@5.2.1%gcc@4.8.5\ arch=x86_64
spack module ups_version refresh -y libjpeg-turbo@2.1.0 libpng@1.6.37 giflib@5.2.1 zlib@1.2.7
spack module ups_table refresh -y libjpeg-turbo@2.1.0 libpng@1.6.37 giflib@5.2.1 zlib@1.2.7
spack buildcache create -a -u -d ${WORKSPACE:-.}/copyBack libjpeg-turbo@2.1.0%gcc@4.8.5 libpng@1.6.37 giflib@5.2.1
